summaryrefslogtreecommitdiff
path: root/app-misc/conmux/files/conmux-registry.initd
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /app-misc/conmux/files/conmux-registry.initd
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'app-misc/conmux/files/conmux-registry.initd')
-rw-r--r--app-misc/conmux/files/conmux-registry.initd31
1 files changed, 31 insertions, 0 deletions
diff --git a/app-misc/conmux/files/conmux-registry.initd b/app-misc/conmux/files/conmux-registry.initd
new file mode 100644
index 000000000000..3e3179a224ab
--- /dev/null
+++ b/app-misc/conmux/files/conmux-registry.initd
@@ -0,0 +1,31 @@
+#!/sbin/openrc-run
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+checkconfig() {
+ # Set sane defaults
+ if [ -z ${CONMUX_REGISTRY_PORT} ]; then
+ CONMUX_REGISTRY_PORT="63000"
+ fi
+ if [ -z ${CONMUX_REGISTRY_LOG} ]; then
+ CONMUX_REGISTRY_LOG="/var/log/conmux-registry.log"
+ fi
+}
+
+start() {
+ checkconfig
+ # Make sure conmux finds everything
+ export PATH="${PATH}:/usr/share/conmux/drivers:/usr/share/conmux/helpers"
+ ebegin "Starting conmux registry daemon"
+ [ -e ${CONMUX_REGISTRY_LOG} ] && rm ${CONMUX_REGISTRY_LOG}
+ touch ${CONMUX_REGISTRY_LOG}
+ start-stop-daemon -b -m --start -p /run/conmux-registry.pid \
+ --exec /usr/sbin/conmux-registry -- ${CONMUX_REGISTRY_PORT} \
+ ${CONMUX_REGISTRY_LOG}
+}
+
+stop() {
+ ebegin "Stopping conmux registry daemon"
+ start-stop-daemon --stop --pidfile /run/conmux-registry.pid
+ eend $?
+}